petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetLambda

Sets the linesearch steplength.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetLambda(SNESLineSearch linesearch, PetscReal lambda)

### Input Parameters

| linesearch | - linesearch context Many br
| lambda | - The last steplength. Many br

### Notes

This routine is typically used within implementations of SNESLineSearchApply() Many brto set the final steplength. This routine (and SNESLineSearchGetLambda()) were Many bradded in order to facilitate Quasi-Newton methods that use the previous steplength Many bras an inner scaling parameter. Many br

Many br

### See Also

SNESLineSearchGetLambda()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages